package com.hzs.bonus.bonus.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.bonus.bonus.param.BdWaresBonusParam;
import com.hzs.common.domain.member.bonus.BdWaresBonus;
import com.hzs.common.domain.member.ext.BdWaresBonusExt;

import java.util.List;

/**
 * 特殊商品分配奖金 服务类
 */
public interface IBdWaresBonusService extends IService<BdWaresBonus> {

    /*
     *  查询特殊品奖金配置
     **/
    List<BdWaresBonusExt> querySpecialWaresBonus(BdWaresBonusParam waresBonusParam);

    /*
     *  根据主键删除特殊商品奖金配置
     **/
    void deleteSpecialWaresBonus(Long pkId, Long userId);

    /*
     *  根据商品id查询是否已经存在数据
     **/
    BdWaresBonus queryWaresBonusById(BdWaresBonusParam waresBonusParam);

    /*
     *  插入商品奖金根据参数
     **/
    void insertOrUpdateBdWaresBonusByParam(BdWaresBonusParam bdWaresBonusParam, Long userId);

    /*
     *  查询能设置奖金的特殊品
     **/
    List<BdWaresBonusExt> querySpecialWaresBonus();
}
